flink-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Piotr Nowojski (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (FLINK-10667) Clean up Scala 2.10 remnants
Date Wed, 24 Oct 2018 12:51:00 GMT

     [ https://issues.apache.org/jira/browse/FLINK-10667?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Piotr Nowojski updated FLINK-10667:
-----------------------------------
    Description: 
Currently there are couple of places which reference Scala 2.10 in our code base:

{noformat}
git grep "2\.10" | grep -i scala
docs/dev/connectors/kafka.md:        <td>Since 0.11.x Kafka does not support scala 2.10.
This connector supports <a href="https://cwiki.apache.org/confluence/display/KAFKA/KIP-98+-+Exactly+Once+Delivery+and+Transactional+Messaging">Kafka
transactional messaging</a> to provide exactly once semantic for the producer.</td>
docs/dev/projectsetup/scala_api_quickstart.md:  * [Scala IDE for Scala 2.11](http://download.scala-ide.org/sdk/helium/e38/scala211/stable/site)
or [Scala IDE for Scala 2.10](http://download.scala-ide.org/sdk/helium/e38/scala210/stable/site)
flink-contrib/docker-flink/README.md:    docker build --build-arg FLINK_VERSION=1.0.3 --build-arg
HADOOP_VERSION=26 --build-arg SCALA_VERSION=2.10 -t "flink:1.0.3-hadoop2.6-scala_2.10" flink
flink-libraries/flink-table/src/main/scala/org/apache/flink/table/codegen/package.scala: 
// Used in ExpressionCodeGenerator because Scala 2.10 reflection is not thread safe. We might
flink-scala-shell/start-script/start-scala-shell.sh:# from scala-lang 2.10.4
flink-scala-shell/start-script/start-scala-shell.sh:# in scala shell since 2.10, has to be
done at startup
flink-scala/src/main/scala/org/apache/flink/api/scala/codegen/TypeAnalyzer.scala:        //
convention, compatible with Scala 2.10
flink-scala/src/main/scala/org/apache/flink/api/scala/codegen/TypeAnalyzer.scala:        //
TODO: use this once 2.10 is no longer supported
{noformat}

Those should be looked into.

  was:
Currently there are couple of places which reference Scala 2.10 in our code base:

{noformat}
git grep "2\.10" | grep -i scala
docs/dev/connectors/kafka.md:        <td>Since 0.11.x Kafka does not support scala 2.10.
This connector supports <a href="https://cwiki.apache.org/confluence/display/KAFKA/KIP-98+-+Exactly+Once+Delivery+and+Transactional+Messaging">Kafka
transactional messaging</a> to provide exactly once semantic for the producer.</td>
docs/dev/projectsetup/dependencies.md:Scala versions (2.10, 2.11, 2.12, etc.) are not binary
compatible with one another.
docs/dev/projectsetup/scala_api_quickstart.md:  * [Scala IDE for Scala 2.11](http://download.scala-ide.org/sdk/helium/e38/scala211/stable/site)
or [Scala IDE for Scala 2.10](http://download.scala-ide.org/sdk/helium/e38/scala210/stable/site)
flink-contrib/docker-flink/README.md:    docker build --build-arg FLINK_VERSION=1.0.3 --build-arg
HADOOP_VERSION=26 --build-arg SCALA_VERSION=2.10 -t "flink:1.0.3-hadoop2.6-scala_2.10" flink
flink-libraries/flink-table/src/main/scala/org/apache/flink/table/codegen/package.scala: 
// Used in ExpressionCodeGenerator because Scala 2.10 reflection is not thread safe. We might
flink-scala-shell/start-script/start-scala-shell.sh:# from scala-lang 2.10.4
flink-scala-shell/start-script/start-scala-shell.sh:# in scala shell since 2.10, has to be
done at startup
flink-scala/src/main/scala/org/apache/flink/api/scala/codegen/TypeAnalyzer.scala:        //
convention, compatible with Scala 2.10
flink-scala/src/main/scala/org/apache/flink/api/scala/codegen/TypeAnalyzer.scala:        //
TODO: use this once 2.10 is no longer supported
{noformat}

Those should be looked into.


> Clean up Scala 2.10 remnants 
> -----------------------------
>
>                 Key: FLINK-10667
>                 URL: https://issues.apache.org/jira/browse/FLINK-10667
>             Project: Flink
>          Issue Type: Bug
>    Affects Versions: 1.6.3, 1.7.0
>            Reporter: Piotr Nowojski
>            Assignee: Hequn Cheng
>            Priority: Major
>
> Currently there are couple of places which reference Scala 2.10 in our code base:
> {noformat}
> git grep "2\.10" | grep -i scala
> docs/dev/connectors/kafka.md:        <td>Since 0.11.x Kafka does not support scala
2.10. This connector supports <a href="https://cwiki.apache.org/confluence/display/KAFKA/KIP-98+-+Exactly+Once+Delivery+and+Transactional+Messaging">Kafka
transactional messaging</a> to provide exactly once semantic for the producer.</td>
> docs/dev/projectsetup/scala_api_quickstart.md:  * [Scala IDE for Scala 2.11](http://download.scala-ide.org/sdk/helium/e38/scala211/stable/site)
or [Scala IDE for Scala 2.10](http://download.scala-ide.org/sdk/helium/e38/scala210/stable/site)
> flink-contrib/docker-flink/README.md:    docker build --build-arg FLINK_VERSION=1.0.3
--build-arg HADOOP_VERSION=26 --build-arg SCALA_VERSION=2.10 -t "flink:1.0.3-hadoop2.6-scala_2.10"
flink
> flink-libraries/flink-table/src/main/scala/org/apache/flink/table/codegen/package.scala:
 // Used in ExpressionCodeGenerator because Scala 2.10 reflection is not thread safe. We might
> flink-scala-shell/start-script/start-scala-shell.sh:# from scala-lang 2.10.4
> flink-scala-shell/start-script/start-scala-shell.sh:# in scala shell since 2.10, has
to be done at startup
> flink-scala/src/main/scala/org/apache/flink/api/scala/codegen/TypeAnalyzer.scala:   
    // convention, compatible with Scala 2.10
> flink-scala/src/main/scala/org/apache/flink/api/scala/codegen/TypeAnalyzer.scala:   
    // TODO: use this once 2.10 is no longer supported
> {noformat}
> Those should be looked into.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message